Package org.eclipse.birt.chart.model.attribute

# Enum StyledComponent

java.lang.Object
java.lang.Enum<StyledComponent>
org.eclipse.birt.chart.model.attribute.StyledComponent

All Implemented Interfaces:
  `Serializable`, `Comparable<StyledComponent>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum StyledComponent extends Enum<StyledComponent> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Styled Component', and utility methods for working with them. This type represents the possible values for the legend item type.

See Also:
  - `AttributePackage.getStyledComponent()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AXIS_LABEL_LITERAL`
The 'Axis Label' literal object.
`AXIS_LINE_LITERAL`
The 'Axis Line' literal object.
`AXIS_TITLE_LITERAL`
The 'Axis Title' literal object.
`CHART_ALL_LITERAL`
The 'Chart All' literal object.
`CHART_BACKGROUND_LITERAL`
The 'Chart Background' literal object.
`CHART_TITLE_LITERAL`
The 'Chart Title' literal object.
`LEGEND_BACKGROUND_LITERAL`
The 'Legend Background' literal object.
`LEGEND_LABEL_LITERAL`
The 'Legend Label' literal object.
`PLOT_BACKGROUND_LITERAL`
The 'Plot Background' literal object.
`SERIES_LABEL_LITERAL`
The 'Series Label' literal object.
`SERIES_TITLE_LITERAL`
The 'Series Title' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AXIS_LABEL`
The 'Axis Label' literal value.
`static final int`
`AXIS_LINE`
The 'Axis Line' literal value.
`static final int`
`AXIS_TITLE`
The 'Axis Title' literal value.
`static final int`
`CHART_ALL`
The 'Chart All' literal value.
`static final int`
`CHART_BACKGROUND`
The 'Chart Background' literal value.
`static final int`
`CHART_TITLE`
The 'Chart Title' literal value.
`static final int`
`LEGEND_BACKGROUND`
The 'Legend Background' literal value.
`static final int`
`LEGEND_LABEL`
The 'Legend Label' literal value.
`static final int`
`PLOT_BACKGROUND`
The 'Plot Background' literal value.
`static final int`
`SERIES_LABEL`
The 'Series Label' literal value.
`static final int`
`SERIES_TITLE`
The 'Series Title' literal value.
`static final List<StyledComponent>`
`VALUES`
A public read-only list of all the 'Styled Component' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static StyledComponent`
`get(int value)`
Returns the 'Styled Component' literal with the specified integer value.
`static StyledComponent`
`get(String literal)`
Returns the 'Styled Component' literal with the specified literal value.
`static StyledComponent`
`getByName(String name)`
Returns the 'Styled Component' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static StyledComponent`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StyledComponent[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHART_ALL_LITERAL

public static final StyledComponent CHART_ALL_LITERAL
The 'Chart All' literal object.

See Also:
  - `CHART_ALL`

### CHART_TITLE_LITERAL

public static final StyledComponent CHART_TITLE_LITERAL
The 'Chart Title' literal object.

If the meaning of 'Chart Title' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CHART_TITLE`

### CHART_BACKGROUND_LITERAL

public static final StyledComponent CHART_BACKGROUND_LITERAL
The 'Chart Background' literal object.

If the meaning of 'Chart Background' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CHART_BACKGROUND`

### PLOT_BACKGROUND_LITERAL

public static final StyledComponent PLOT_BACKGROUND_LITERAL
The 'Plot Background' literal object.

If the meaning of 'Plot Background' literal object isn't clear, there really should be more of a description here...

See Also:
  - `PLOT_BACKGROUND`

### LEGEND_BACKGROUND_LITERAL

public static final StyledComponent LEGEND_BACKGROUND_LITERAL
The 'Legend Background' literal object.

If the meaning of 'Legend Background' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LEGEND_BACKGROUND`

### LEGEND_LABEL_LITERAL

public static final StyledComponent LEGEND_LABEL_LITERAL
The 'Legend Label' literal object.

If the meaning of 'Legend Label' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LEGEND_LABEL`

### AXIS_TITLE_LITERAL

public static final StyledComponent AXIS_TITLE_LITERAL
The 'Axis Title' literal object.

If the meaning of 'Axis Title' literal object isn't clear, there really should be more of a description here...

See Also:
  - `AXIS_TITLE`

### AXIS_LABEL_LITERAL

public static final StyledComponent AXIS_LABEL_LITERAL
The 'Axis Label' literal object.

If the meaning of 'Axis Label' literal object isn't clear, there really should be more of a description here...

See Also:
  - `AXIS_LABEL`

### AXIS_LINE_LITERAL

public static final StyledComponent AXIS_LINE_LITERAL
The 'Axis Line' literal object.

If the meaning of 'Axis Line' literal object isn't clear, there really should be more of a description here...

See Also:
  - `AXIS_LINE`

### SERIES_TITLE_LITERAL

public static final StyledComponent SERIES_TITLE_LITERAL
The 'Series Title' literal object.

If the meaning of 'Series Title' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SERIES_TITLE`

### SERIES_LABEL_LITERAL

public static final StyledComponent SERIES_LABEL_LITERAL
The 'Series Label' literal object.

If the meaning of 'Series Label' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SERIES_LABEL`

## Field Details

### CHART_ALL

public static final int CHART_ALL
The 'Chart All' literal value.

If the meaning of 'Chart All' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CHART_ALL_LITERAL`
  - Constant Field Values

### CHART_TITLE

public static final int CHART_TITLE
The 'Chart Title' literal value.

See Also:
  - `CHART_TITLE_LITERAL`
  - Constant Field Values

### CHART_BACKGROUND

public static final int CHART_BACKGROUND
The 'Chart Background' literal value.

See Also:
  - `CHART_BACKGROUND_LITERAL`
  - Constant Field Values

### PLOT_BACKGROUND

public static final int PLOT_BACKGROUND
The 'Plot Background' literal value.

See Also:
  - `PLOT_BACKGROUND_LITERAL`
  - Constant Field Values

### LEGEND_BACKGROUND

public static final int LEGEND_BACKGROUND
The 'Legend Background' literal value.

See Also:
  - `LEGEND_BACKGROUND_LITERAL`
  - Constant Field Values

### LEGEND_LABEL

public static final int LEGEND_LABEL
The 'Legend Label' literal value.

See Also:
  - `LEGEND_LABEL_LITERAL`
  - Constant Field Values

### AXIS_TITLE

public static final int AXIS_TITLE
The 'Axis Title' literal value.

See Also:
  - `AXIS_TITLE_LITERAL`
  - Constant Field Values

### AXIS_LABEL

public static final int AXIS_LABEL
The 'Axis Label' literal value.

See Also:
  - `AXIS_LABEL_LITERAL`
  - Constant Field Values

### AXIS_LINE

public static final int AXIS_LINE
The 'Axis Line' literal value.

See Also:
  - `AXIS_LINE_LITERAL`
  - Constant Field Values

### SERIES_TITLE

public static final int SERIES_TITLE
The 'Series Title' literal value.

See Also:
  - `SERIES_TITLE_LITERAL`
  - Constant Field Values

### SERIES_LABEL

public static final int SERIES_LABEL
The 'Series Label' literal value.

See Also:
  - `SERIES_LABEL_LITERAL`
  - Constant Field Values

### VALUES

public static final List<StyledComponent> VALUES
A public read-only list of all the 'Styled Component' enumerators.

## Method Details

### values

public static StyledComponent[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static StyledComponent valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static StyledComponent get(String literal)
Returns the 'Styled Component' literal with the specified literal value.

### getByName

public static StyledComponent getByName(String name)
Returns the 'Styled Component' literal with the specified name.

### get

public static StyledComponent get(int value)
Returns the 'Styled Component' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<StyledComponent>`